preShowJourneyPanel = function () {};

function showPoiDeals() {
    const elem = $("#poiPopupPanel .item-info-data");
    if(elem.hasClass("deals-shown")) {
        elem.removeClass("deals-shown");
    } else {
        elem.addClass("deals-shown");
    }
    getAMap().onAfterMapAreaResize();
}

function hidePoiDeals() {
    $("#poiPopupPanel .item-info-data").removeClass("deals-shown");
    getAMap().onAfterMapAreaResize();
}

const aboutStarInfo = {
    title: [
        { lang: "EN", value: "ABOUT THE STAR VISTA" },
        { lang: "ZH-CHS", value: "" }
    ],
    description: [
        {
            lang: "EN",
            value: "<p>The STAR VISTA is part of a mixed development owned by Rock Productions Pte Ltd. Located at Vista Exchange Green in the one-north precinct, the building comprises a retail mall, THE STAR VISTA, (B1 to L2) and a civic and cultural centre, The Star Performing Arts Centre (L3 to L11).<br>" +
                "<br>" +
                "Opened in September 2012 and strategically located next to Buona Vista MRT Interchange, THE STAR VISTA is well connected to two train lines and offers easy access to major roads and expressways.<br>" +
                "<br>" +
                "There are a total of over 800 parking lots (B2 TO B4) available at the mall. Offering a plethora of food and beverage outlets and restaurants, a supermarket, entertainment, retail, services and more,<br>" +
                "<br>" +
                "THE STAR VISTA serves the needs of more than 400,000 residents, students and working population in the immediate vicinity.<p>"
        },
        {
            lang: "ZH-CHS",
            value: ""
        }
    ],
    medias: [
        {
            link: '/../app/assets/images/client/TSV_about.jpg',
            type: 'IMAGE'
        }
    ]
};

const ex_showOneInfoPanel = showOneInfoPanel;
showOneInfoPanel = function(info, opts) {
    ex_showOneInfoPanel(info, opts);
    $("div.info-body div.info-desc a").on('click', function(e) {
        e.preventDefault(); e.stopPropagation();
        showInfolUrlPanel(e.target.href);
    });
}

function showInfolUrlPanel(url) {
    $("#infoUrlPanel iframe").attr("src", url);
    $("#infoUrlPanel").show();
}

function hideInfoUrlPanel() {
    $("#infoUrlPanel").hide();
}

extraOnEverythingLoaded = function() {
    injectZonesCategories();
}

